﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Configuration;
namespace prj_ThemeChangeResettingWrap
{
    public partial class Form1 : Form
    {
        DataTable dt;
        string programThemeName;
        public Form1()
        {
            InitializeComponent();
            dt = new DataTable();
            dt.Columns.Add("CustomerID", typeof(int));
            dt.Columns.Add("ContactName", typeof(string));
            dt.Columns.Add("Designation", typeof(string));
            dt.Columns.Add("Country", typeof(string));

            //Sample Data
            dt.Rows.Add(1, "Maria Anders", "Sales Representative", "Spain");
            dt.Rows.Add(2, "Ana Trujillo", "Sales Associate", "Mexico");
            dt.Rows.Add(3, "Antonio Moreno", "Owner", "Ireland");
            dt.Rows.Add(4, "Thomas Hardy", "Sales Representative", "UK");
            dt.Rows.Add(5, "Patricio Simpson", "Marketing Manager", "Germany");
            dt.Rows.Add(6, "Paolo Accorti", "Sales Representative", "Spain");
            dt.Rows.Add(7, "Martine Rancé", "Owner", "Mexico");
            dt.Rows.Add(8, "Elizabeth Brown", "Marketing Manager", "UK");
            dt.Rows.Add(9, "Jaime Yorres", "Order Administrator", "Austria");
            dt.Rows.Add(10, "Yvonne Moncada", "Marketing Manager", "Mexico");
            dt.Rows.Add(11, "Helen Bennett", "Owner/Marketing", "Ireland");
            dt.Rows.Add(12, "Sergio Gutiérrezy", "Order Administrator", "Brazil");
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                programThemeName = c1ComboBox1.SelectedItem.ToString();
                C1.Win.C1Themes.C1ThemeController.ApplicationTheme = programThemeName;
            }
            catch (Exception ex)
            {
                throw new ApplicationException("ThemeChange_Handler!", ex);
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            c1FlexGrid1.DataSource = dt;
            c1FlexGrid1.Cols[3].Style.WordWrap = true;
            c1FlexGrid1.AutoSizeRows();
        }
    }
}
